PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | Friends | List of all members
kubly::struktura Class Reference

`#include <solvers/gain/wasiak/wzmocnienie/kublybr.h>`

Collaboration diagram for kubly::struktura:
[legend]

## Public Types
enum | rodzaj { el , hh , lh }

## Public Member Functions
| struktura (const std::vector< warstwa * > &, rodzaj)
| struktura (std::ifstream &plik, rodzaj co, bool bezlicz=false)
| struktura (std::ifstream &plik, const std::vector< double > &poziomy, rodzaj co)
double | czyosobliwa (double E)
int | ilezer_ffal (double E)
int | ilezer_ffal (double E, A2D &V)
std::vector< double > | zageszczanie (punkt p0, punkt pk)
double | sprawdz_ciaglosc (double E, A2D &V)
void | szukanie_poziomow (double Ek, double rozdz=1e-6, bool debug=false)
void | szukanie_poziomow_2 (double Ek, double rozdz=1e-6, bool debug=false)
void | stany_z_tablicy (const std::vector< double > &energie)
void | normowanie ()
double | ilenosnikow (double qFl, double T)
double | ilenosnikow (double qFl, double T, std::set< int > ktore_warstwy)
std::vector< double > | koncentracje_w_warstwach (double qFl, double T)
void | poziomy_do_pliku_ (std::ofstream &plik, char c, double iRefBand, double iX1, double iX2)
void | funkcje_do_pliku_ (std::ofstream &plik, char c, double iRefBand, double krok, double skala)
void | funkcje_do_pliku (std::ofstream &plik, double krok)
void | funkcja1_do_pliku (std::ofstream &plik, stan &st, double krok)
void | struktura_do_pliku (std::ofstream &plik)
void | przesun_energie (double)
void | profil (double Ek, double rozdz)
std::vector< std::vector< double > > | rysowanie_funkcji (double E, double x0, double xk, double krok)
parad | sklejanie_od_lewej (double E)
int | ilezer_ffal (double E, std::vector< parad > &W)
std::vector< parad > | wsp_sklejanie_od_lewej (double E)
double | blad_sklejania (double E)
double | poprawianie_poziomu (double E, double DE)
void | szukanie_poziomow_zpoprawka (double Ek, double rozdz)
void | szukanie_poziomow_zpoprawka2 (double Ek, double rozdz)

## Static Public Member Functions
static double | dlugosc_z_A (const double)
static double | dlugosc_na_A (const double)
static double | koncentracja_na_cm_3 (const double)

## Public Attributes
std::vector< stan > | rozwiazania
std::vector< int > | gwiazdki
rodzaj | typ
std::string | nazwa

## Static Public Attributes
static const double | przelm = 10 * 1.05459 / (sqrt(1.60219 * 9.10956))
static const double | przels = 1.05459 / 1.60219 * 1e-3
static const double | pi = M_PI
static const double | eps0 = 8.8542 * 1.05459 / (100 * 1.60219 * sqrt(1.60219 * 9.10956))
static const double | c = 300 * sqrtl(9.10956 / 1.60219)
static const double | kB = 1.38062 / 1.60219 * 1e-4

## Friends
class | wzmocnienie
class | obszar_aktywny

## Detailed Description

Definition at line 205 of file kublybr.h.

## Member Enumeration Documentation

## ◆ rodzaj

enum kubly::struktura::rodzaj

Enumerator
el |
hh |
lh |

Definition at line 212 of file kublybr.h.

## Constructor & Destructor Documentation

## ◆ struktura() [1/3]

kubly::struktura::struktura | ( | const std::vector< warstwa * > & | tablica,
|  | rodzaj | co
| ) |  |

Definition at line 1687 of file kublybr.cc.

## ◆ struktura() [2/3]

kubly::struktura::struktura | ( | std::ifstream & | plik,
|  | rodzaj | co,
|  | bool | bezlicz = `false`
| ) |  |

Definition at line 1776 of file kublybr.cc.

## ◆ struktura() [3/3]

kubly::struktura::struktura | ( | std::ifstream & | plik,
|  | const std::vector< double > & | poziomy,
|  | rodzaj | co
| ) |  |

Definition at line 2015 of file kublybr.cc.

## Member Function Documentation

## ◆ blad_sklejania()

double kubly::struktura::blad_sklejania | ( | double | E | ) |

Definition at line 1054 of file kublybr.cc.

## ◆ czyosobliwa()

double kubly::struktura::czyosobliwa | ( | double | E | ) |

Definition at line 2270 of file kublybr.cc.

## ◆ dlugosc_na_A()

double kubly::struktura::dlugosc_na_A | ( | const double | dlug | ) |
| static

Definition at line 2266 of file kublybr.cc.

## ◆ dlugosc_z_A()

double kubly::struktura::dlugosc_z_A | ( | const double | dlugA | ) |
| static

Definition at line 2264 of file kublybr.cc.

## ◆ funkcja1_do_pliku()

void kubly::struktura::funkcja1_do_pliku | ( | std::ofstream & | plik,
|  | stan & | st,
|  | double | krok
| ) |  |

Definition at line 3924 of file kublybr.cc.

## ◆ funkcje_do_pliku()

void kubly::struktura::funkcje_do_pliku | ( | std::ofstream & | plik,
|  | double | krok
| ) |  |

Definition at line 3845 of file kublybr.cc.

## ◆ funkcje_do_pliku_()

void kubly::struktura::funkcje_do_pliku_ | ( | std::ofstream & | plik,
|  | char | c,
|  | double | iRefBand,
|  | double | krok,
|  | double | skala
| ) |  |

Definition at line 3702 of file kublybr.cc.

## ◆ ilenosnikow() [1/2]

double kubly::struktura::ilenosnikow | ( | double | qFl,
|  | double | T
| ) |  |

Definition at line 3525 of file kublybr.cc.

## ◆ ilenosnikow() [2/2]

double kubly::struktura::ilenosnikow | ( | double | qFl,
|  | double | T,
|  | std::set< int > | ktore_warstwy
| ) |  |

Definition at line 3566 of file kublybr.cc.

## ◆ ilezer_ffal() [1/3]

int kubly::struktura::ilezer_ffal | ( | double | E | ) |

## ◆ ilezer_ffal() [2/3]

int kubly::struktura::ilezer_ffal | ( | double | E,
|  | A2D & | V
| ) |  |

Definition at line 2550 of file kublybr.cc.

## ◆ ilezer_ffal() [3/3]

int kubly::struktura::ilezer_ffal | ( | double | E,
|  | std::vector< parad > & | W
| ) |  |

Definition at line 983 of file kublybr.cc.

## ◆ koncentracja_na_cm_3()

double kubly::struktura::koncentracja_na_cm_3 | ( | const double | k_w_wew | ) |
| static

Definition at line 2268 of file kublybr.cc.

## ◆ koncentracje_w_warstwach()

std::vector< double > kubly::struktura::koncentracje_w_warstwach | ( | double | qFl,
|  | double | T
| ) |  |

Definition at line 3616 of file kublybr.cc.

## ◆ normowanie()

void kubly::struktura::normowanie | ( |  | ) |

Definition at line 3508 of file kublybr.cc.

## ◆ poprawianie_poziomu()

double kubly::struktura::poprawianie_poziomu | ( | double | E,
|  | double | DE
| ) |  |

Definition at line 1059 of file kublybr.cc.

## ◆ poziomy_do_pliku_()

void kubly::struktura::poziomy_do_pliku_ | ( | std::ofstream & | plik,
|  | char | c,
|  | double | iRefBand,
|  | double | iX1,
|  | double | iX2
| ) |  |

Definition at line 3671 of file kublybr.cc.

## ◆ profil()

void kubly::struktura::profil | ( | double | Ek,
|  | double | rozdz
| ) |  |

Definition at line 2682 of file kublybr.cc.

## ◆ przesun_energie()

void kubly::struktura::przesun_energie | ( | double | dE | ) |

Definition at line 2243 of file kublybr.cc.

## ◆ rysowanie_funkcji()

std::vector< std::vector< double > > kubly::struktura::rysowanie_funkcji | ( | double | E,
|  | double | x0,
|  | double | xk,
|  | double | krok
| ) |  |

Definition at line 2447 of file kublybr.cc.

## ◆ sklejanie_od_lewej()

parad kubly::struktura::sklejanie_od_lewej | ( | double | E | ) |

Definition at line 928 of file kublybr.cc.

## ◆ sprawdz_ciaglosc()

double kubly::struktura::sprawdz_ciaglosc | ( | double | E,
|  | A2D & | V
| ) |  |

Definition at line 2384 of file kublybr.cc.

## ◆ stany_z_tablicy()

void kubly::struktura::stany_z_tablicy | ( | const std::vector< double > & | energie | ) |

Definition at line 3276 of file kublybr.cc.

## ◆ struktura_do_pliku()

void kubly::struktura::struktura_do_pliku | ( | std::ofstream & | plik | ) |

Definition at line 3657 of file kublybr.cc.

## ◆ szukanie_poziomow()

void kubly::struktura::szukanie_poziomow | ( | double | Ek,
|  | double | rozdz = `1e-6`,
|  | bool | debug = `false`
| ) |  |

Definition at line 2698 of file kublybr.cc.

## ◆ szukanie_poziomow_2()

void kubly::struktura::szukanie_poziomow_2 | ( | double | Ek,
|  | double | rozdz = `1e-6`,
|  | bool | debug = `false`
| ) |  |

Definition at line 2973 of file kublybr.cc.

## ◆ szukanie_poziomow_zpoprawka()

void kubly::struktura::szukanie_poziomow_zpoprawka | ( | double | Ek,
|  | double | rozdz
| ) |  |

Definition at line 1085 of file kublybr.cc.

## ◆ szukanie_poziomow_zpoprawka2()

void kubly::struktura::szukanie_poziomow_zpoprawka2 | ( | double | Ek,
|  | double | rozdz
| ) |  |

Definition at line 1224 of file kublybr.cc.

## ◆ wsp_sklejanie_od_lewej()

std::vector< parad > kubly::struktura::wsp_sklejanie_od_lewej | ( | double | E | ) |

Definition at line 959 of file kublybr.cc.

## ◆ zageszczanie()

std::vector< double > kubly::struktura::zageszczanie | ( | punkt | p0,
|  | punkt | pk
| ) |  |

Definition at line 2628 of file kublybr.cc.

## Friends And Related Symbol Documentation

## ◆ obszar_aktywny

friend class obszar_aktywny
| friend

Definition at line 209 of file kublybr.h.

## ◆ wzmocnienie

friend class wzmocnienie
| friend

Definition at line 208 of file kublybr.h.

## Member Data Documentation

## ◆ c

const double kubly::struktura::c = 300 * sqrtl(9.10956 / 1.60219)
| static

Definition at line 250 of file kublybr.h.

## ◆ eps0

const double kubly::struktura::eps0 = 8.8542 * 1.05459 / (100 * 1.60219 * sqrt(1.60219 * 9.10956))
| static

Definition at line 249 of file kublybr.h.

## ◆ gwiazdki

std::vector<int> kubly::struktura::gwiazdki

Definition at line 244 of file kublybr.h.

## ◆ kB

const double kubly::struktura::kB = 1.38062 / 1.60219 * 1e-4
| static

Definition at line 251 of file kublybr.h.

## ◆ nazwa

std::string kubly::struktura::nazwa

Definition at line 254 of file kublybr.h.

## ◆ pi

const double kubly::struktura::pi = M_PI
| static

Definition at line 248 of file kublybr.h.

## ◆ przelm

const double kubly::struktura::przelm = 10 * 1.05459 / (sqrt(1.60219 * 9.10956))
| static

Definition at line 246 of file kublybr.h.

## ◆ przels

const double kubly::struktura::przels = 1.05459 / 1.60219 * 1e-3
| static

Definition at line 247 of file kublybr.h.

## ◆ rozwiazania

std::vector<stan> kubly::struktura::rozwiazania

Definition at line 243 of file kublybr.h.

## ◆ typ

rodzaj kubly::struktura::typ

Definition at line 253 of file kublybr.h.

The documentation for this class was generated from the following files:

- solvers/gain/wasiak/wzmocnienie/kublybr.h
- solvers/gain/wasiak/wzmocnienie/kublybr.cc